"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDi = exports.use = void 0;
const react_1 = require("react");
const DiContext_js_1 = require("../DiContext.js");
function use(type, ...args) {
    const context = (0, react_1.useContext)(DiContext_js_1.DiContext);
    if (!context || !context.container) {
        throw new Error('Container not found. You should use Provider as one of parent nodes of this component');
    }
    const implementation = context.container.resolve(type, ...args);
    if (!implementation) {
        throw new Error(`Type (${type}) is not registered in cheap-di-react`);
    }
    return implementation;
}
exports.use = use;
exports.useDi = use;
//# sourceMappingURL=use.js.map