import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { DIProvider } from './DIProvider.js';
const DIProviderMemo = (props) => {
    const { 
    //
    dependencies, self, selfSingletons, ...rest } = props;
    const memoizedDependencies = useMemo(() => dependencies, []);
    const memoizedSelfDependencies = useMemo(() => self, [...(self ?? [])]);
    const memoizedSelfSingletons = useMemo(() => selfSingletons, [...(selfSingletons ?? [])]);
    return (_jsx(DIProvider, { dependencies: memoizedDependencies, self: memoizedSelfDependencies, selfSingletons: memoizedSelfSingletons, ...rest }));
};
const memoizedComponent = memo(DIProviderMemo);
export { memoizedComponent as DIProviderMemo };
//# sourceMappingURL=DIProviderMemo.js.map