import { AbstractConstructor, Constructor, ContainerImpl, ImplementationType } from 'cheap-di';
export declare class ReactContainer extends ContainerImpl {
    parentContainer?: ContainerImpl | undefined;
    rerender: () => void;
    private scope;
    skipParentInstanceOnce: boolean;
    constructor(parentContainer?: ContainerImpl | undefined);
    get rootContainer(): ContainerImpl;
    get rootReactContainer(): ReactContainer;
    sameParent(parentContainer?: ContainerImpl): boolean;
    getDependencies(): Map<import("cheap-di/dist/types/types").RegistrationType<any>, object | ImplementationType<any>>;
    localScope<Callback extends (container: ReactContainer) => any>(callback: Callback): Callback extends (container: ReactContainer) => infer Result ? Result : void;
    skipParentInstanceResolvingOnce(): void;
    getInstance<TInstance>(type: Constructor<TInstance> | AbstractConstructor<TInstance>): ImplementationType<TInstance> | object | undefined;
    getImplementation<TInstance>(type: Constructor<TInstance> | AbstractConstructor<TInstance>): ImplementationType<TInstance> | object | undefined;
    getSingletons(): Map<ImplementationType<any>, object>;
    private findRootContainer;
    private findReactContainerContainer;
}
